asn1-types-0.3.2: ASN.1 types

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell98

Data.ASN1.Pretty

Description

Synopsis

- pretty :: PrettyType -> [ASN1] -> String
- data PrettyType
  - = Multiline Int
  - | SingleLine

# Documentation

pretty #

Arguments

:: PrettyType | indent level in space character
-> [ASN1] | stream of ASN1
-> String |

Pretty Print a list of ASN.1 element

data PrettyType #

Constructors

Multiline Int |
SingleLine |

Instances

Eq PrettyType # |
Methods (==) :: PrettyType -> PrettyType -> Bool # (/=) :: PrettyType -> PrettyType -> Bool #
Show PrettyType # |
Methods showsPrec :: Int -> PrettyType -> ShowS # show :: PrettyType -> String # showList :: [PrettyType] -> ShowS #